How to configure the Layerscape SDK v17.12 to only build the OpenSSL libraries

cancel
Showing results for 
Search instead for 
Did you mean: 

How to configure the Layerscape SDK v17.12 to only build the OpenSSL libraries

831 Views
kuta42
Contributor III

I don't need the OpenSSL apps, tests, and man pages in my target image, only the libraries. Is there a way to configure the Layerscape SDK v17.12 not to build them?

Tags (1)
0 Kudos
6 Replies

327 Views
Pavel
NXP TechSupport
NXP TechSupport

Look at attached file. It is Readme file from LSDK 1712. Use examples from this file.

For example use the following commands:

flex-builder -c linux -a arm32 -m ls1021atwr -B menuconfig

 

or

 

flex-builder -c linux -a arm64 -m ls1046ardb -B menuconfig


Have a great day,
Pavel Chubakov

-----------------------------------------------------------------------------------------------------------------------
Note: If this post answers your question, please click the Correct Answer button. Thank you!
-----------------------------------------------------------------------------------------------------------------------

0 Kudos

327 Views
kuta42
Contributor III

These commands modify the Linux kernel configuration. But OpenSSL isn't part of the the Linux kernel. Isn't build_lsdk.cfg the config file that needs to be modified so that OpenSSL is built manually?

0 Kudos

327 Views
Pavel
NXP TechSupport
NXP TechSupport

Find the "Manual build" in the Section 9.1.1.2 of LSDK 1712 documentation:

https://www.nxp.com/docs/en/supporting-information/LSDK-KC-REV0.pdf

 

Find the following: "After installation verify that the binary is linking with the correct share library from /usr/local/lib:"

 

See also the following page:

https://www.openssl.org/source/


Have a great day,
Pavel Chubakov

-----------------------------------------------------------------------------------------------------------------------
Note: If this post answers your question, please click the Correct Answer button. Thank you!
-----------------------------------------------------------------------------------------------------------------------

0 Kudos

327 Views
kuta42
Contributor III

The instructions in Section 9.1.1.2 are also missing the requirement to set CROSS_COMPILE in the environment.

0 Kudos

327 Views
kuta42
Contributor III

From Section 9.1.1.2 of the LSDK 17.12 documentation:

This chapter is optional since the root filesystem can be configured to include both OpenSSL and cryptodev automatically. For reference, use the command "menuconfig" of flexbuild tool to change the applications list:

$ flexbuild -h <...> $ flexbuild menuconfig

Follow flexbuild documentation to finalize the building of the root filesystem and kernel on the host system.

Is this out-of-date? There is no "flexbuild" command, but one called "flex-builder". However, "flex-builder" doesn't accept a "menuconfig" argument:

$ flex-builder menuconfig
invalid instruction!

$

0 Kudos

327 Views
kuta42
Contributor III

So there's no way to configure flex-builder to only build the OpenSSL libraries? Should I submit a tech support case to add this as an enhancement?

0 Kudos